Subject: Re: [ldapext] referencing one LDIF file from another

From: Howard Chu <[email-masked]>
Date: Thu, 14 Apr 2005 05:58:30 -0700

What do you think about using a URL here instead of a simple filename? 
For the common case it would usually be a FILE URL but I think we gain 
some future-proofing by making it fully hyperlinked. It may not be 
useful for utilities that just expect to process static data, but I have 
in mind to use LDAP URLs here as well.

Vithalprasad Gaitonde wrote:
> Howard,
> Following is the change we could do to section "*Formal Syntax 
> Definition of LDIF"
> *
> included-ldif-file-content = "include:" FILL fileName
> ;where the contents of filename confirm to ldif-file of type ldif-content
> 
> included-ldif-file-content = "include:" FILL fileName
> ;where the contents of filename confirm to ldif-file of type ldif-changes
> included-content-ldifs = 1*(1*SEP included-ldif-file-content)
> 
> included-changes-ldifs = 1*(1*SEP included-ldif-file-changes)
> 
> ldif-file = ldif-content / ldif-changes / included-content-ldifs / 
> included-changes-ldifs
> 
> ldif-content = version-spec included-content-ldifs 1*(1*SEP 
> ldif-attrval-record)
> 
> ldif-changes = version-spec included-changes-ldifs 1*(1*SEP 
> ldif-change-record)
> Let me know what you think.
> 
> Thanks,
> Prasad
> 
>  >>> Howard Chu <[email-masked]> 11/23/2004 12:33:06 PM >>>
> Vithalprasad Gaitonde wrote:
>  > RFC2849 doesnt seem to provide a way to include one ldif file into
>  > another ldif file though it does allow referencing an external file for
>  > an attribute value.
>  > Has this been considered in the past ?
>  > It seems like a useful thing to have when there are dependencies across
>  > several ldif files.
> 
> I agree, I would definitely have a use for this. Haven't thought about
> what the syntax should be yet.

-- 
   -- Howard Chu
   Chief Architect, Symas Corp.       Director, Highland Sun
   http://www.symas.com               http://highlandsun.com/hyc
   Symas: Premier OpenSource Development and Support

_______________________________________________
Ldapext mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ldapext

---

From: Michael Ströder <[email-masked]>
Date: Mon, 18 Apr 2005 08:23:17 +0200

> What do you think about using a URL here instead of a simple filename?

While we're at it I'd like to cite from RFC2849:

      6) When a URL is specified in an attrval-spec, the following
          conventions apply:

         a) Implementations SHOULD support the file:// URL format.  The
            contents of the referenced file are to be included verbatim
            in the interpreted output of the LDIF file.
         b) Implementations MAY support other URL formats.  The
            semantics associated with each supported URL will be
            documented in an associated Applicability Statement.

Do such applicability statements exist for HTTP and LDAP URLs? If not a
new revision of RFC2849 should say more about this.

In my LDIF module I include content referenced by http:// just like that
of file:// URLs. The HTTP body of an HTTP response is included as a
single attribute value.

With LDAP URLs I'd propose that one should only retrieve content when
the LDAP URL references exactly one attribute of a single entry.
Multiple values of an attribute should all be included.

What do you think about it?

Ciao, Michael.

-- 
Michael Ströder
E-Mail: [email-masked]
http://www.stroeder.com